/*
 * GetBalanceResponseObject.java
 *
 * Copyright 2014 the curewallet.org.
 * http://www.curewallet.org/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.curewallet.lib.api.response;

import java.math.BigDecimal;

import org.curewallet.lib.api.result.GetBalanceResult;

/**
 * 
 * 
 * @author Nezumi Kozo
 * @since 1.0
 */
public class GetBalanceResponseObject extends ResponseObject {

	private BigDecimal result = null;
	
	/**
	 * 
	 * @since 1.0
	 */
	public GetBalanceResponseObject() {
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/**
	 * @return result
	 * @since 1.0
	 */
	public BigDecimal getResult() {
		return result;
	}

	/**
	 * @param result セットする result
	 * @since 1.0
	 */
	public void setResult(BigDecimal result) {
		this.result = result;
	}

	public GetBalanceResult getResultObject() {
		GetBalanceResult result = new GetBalanceResult();
		result.setBalance(getResult());
		result.setJsonString(getJsonString());
		return result;
	}
}
